## cogito-0.18.2.tar.bz2

=== Makefile ===
# Should be changed to /usr/local
prefix="$(HOME)"

bindir=$(prefix)/bin
libdir=$(prefix)/lib/cogito
sharedir=$(prefix)/share/cogito

INSTALL?=install



### --- END CONFIGURATION SECTION ---



SCRIPT=	cg-object-id cg-add cg-admin-lsobj cg-admin-uncommit \
	cg-branch-add cg-branch-ls cg-reset cg-clone cg-commit cg-diff \
	cg-export cg-help cg-init cg-log cg-merge cg-mkpatch cg-patch \
	cg-fetch cg-restore cg-rm cg-seek cg-status cg-tag cg-tag-ls cg-update \
	cg cg-admin-ls cg-push cg-branch-chg cg-admin-cat cg-clean \
	cg-admin-setuprepo cg-switch cg-mv cg-admin-rewritehist cg-tag-show

LIB_SCRIPT=cg-Xlib cg-Xmergefile cg-Xfetchprogress cg-Xfollowrenames

GEN_SCRIPT= cg-version

VERSION= VERSION

SHARE_FILES= default-exclude

-include config.mak


### Build rules

.PHONY: all cogito
all: cogito


cogito: $(GEN_SCRIPT)

ifneq (,$(wildcard .git))
GIT_HEAD=.git/$(shell git-symbolic-ref HEAD)
GIT_HEAD_ID=$(shell cg-object-id -d)
endif
cg-version: cg-version.in $(VERSION) $(GIT_HEAD)
	@echo Generating cg-version...
	@rm -f $@
	@sed -e 's/@@VERSION@@/$(shell cat $(VERSION))/' \
	     -e 's/@@GIT_HEAD_ID@@/$(GIT_HEAD_ID)/' \
	     < $< > $@ 
	@chmod +x $@

doc:
	$(MAKE) -C Documentation all



### Testing rules

test: all
	$(MAKE) -C t/ all
	$(MAKE) -C Documentation/ test



### Installation rules

sedlibdir=$(shell echo $(libdir) | sed 's/\//\\\//g')
sedsharedir=$(shell echo $(sharedir) | sed 's/\//\\\//g')

.PHONY: install install-cogito install-doc
install: install-cogito

install-cogito: $(SCRIPT) $(LIB_SCRIPT) $(GEN_SCRIPT)
	$(INSTALL) -m755 -d $(DESTDIR)$(bindir)
	$(INSTALL) $(SCRIPT) $(GEN_SCRIPT) $(DESTDIR)$(bindir)
	$(INSTALL) -m755 -d $(DESTDIR)$(libdir)
	$(INSTALL) $(LIB_SCRIPT) $(DESTDIR)$(libdir)
	cd $(DESTDIR)$(bindir); \
	for file in $(SCRIPT) $(GEN_SCRIPT); do \
		sed -e 's/\$${COGITO_LIB}/\$${COGITO_LIB:-$(sedlibdir)\/}/g' \
		    -e 's/\$${COGITO_SHARE}/\$${COGITO_SHARE:-$(sedsharedir)\/}/g' \
		       $$file > $$file.new; \
		cat $$file.new > $$file; rm $$file.new; \
	done
	cd $(DESTDIR)$(libdir); \
	for file in $(LIB_SCRIPT); do \
		sed -e 's/\$${COGITO_LIB}/\$${COGITO_LIB:-$(sedlibdir)\/}/g' \
		    -e 's/\$${COGITO_SHARE}/\$${COGITO_SHARE:-$(sedsharedir)\/}/g' \
		       $$file > $$file.new; \
		cat $$file.new > $$file; rm $$file.new; \
	done
	$(INSTALL) -m755 -d $(DESTDIR)$(sharedir)
	$(INSTALL) -m644 $(SHARE_FILES) $(DESTDIR)$(sharedir)

install-doc:
	$(MAKE) -C Documentation install

uninstall:
	cd $(DESTDIR)$(bindir) && rm -f $(SCRIPT) $(GEN_SCRIPT)
	cd $(DESTDIR)$(libdir) && rm -f $(LIB_SCRIPT)
	cd $(DESTDIR)$(sharedir) && rm -f $(SHARE_FILES)



### Maintainer's dist rules

cogito.spec: cogito.spec.in $(VERSION)
	sed -e 's/@@VERSION@@/$(shell cat $(VERSION) | cut -d"-" -f2)/g' < $< > $@

GIT_TARNAME=$(shell cat $(VERSION))
dist: cogito.spec
	cg-export $(GIT_TARNAME).tar
	@mkdir -p $(GIT_TARNAME)
	@cp cogito.spec $(GIT_TARNAME)
	tar rf $(GIT_TARNAME).tar $(GIT_TARNAME)/cogito.spec
	@rm -rf $(GIT_TARNAME)
	gzip -f -9 $(GIT_TARNAME).tar

rpm: dist
	rpmbuild -ta $(GIT_TARNAME).tar.gz

deb: dist
	tar zxf $(GIT_TARNAME).tar.gz
	dpkg-source -b $(GIT_TARNAME)
	cd $(GIT_TARNAME) && fakeroot debian/rules binary \
		&& cd .. && rm -rf $(GIT_TARNAME)

Portfile: Portfile.in $(VERSION) dist
	sed -e 's/@@VERSION@@/$(shell cat $(VERSION) | cut -d"-" -f2)/g' < Portfile.in > Portfile
	echo "checksums md5 " `md5sum $(GIT_TARNAME).tar.gz | cut -d ' ' -f 1` >> Portfile



### Cleaning rules

clean:
	rm -f $(GEN_SCRIPT)
	rm -f cogito-*.tar.gz cogito.spec
	$(MAKE) -C Documentation/ clean

=== Documentation/Makefile ===
CG_IGNORE=$(wildcard ../cg-X* ../cg-*.*)
CG_SRC=$(filter-out $(CG_IGNORE), $(wildcard ../cg*))

PACKAGE=cogito

MAN1_TXT=$(patsubst ../cg%,cg%.1.txt,$(CG_SRC))
MAN7_TXT=$(PACKAGE).7.txt cg-ref.7.txt

DOC_HTML=$(patsubst %.txt,%.html,$(MAN1_TXT) $(MAN7_TXT)) cg-ref.html introduction.html

DOC_MAN1=$(patsubst %.txt,%,$(MAN1_TXT))
DOC_MAN7=$(patsubst %.txt,%,$(MAN7_TXT))

DOC_PDF=$(patsubst %.txt,%.pdf,$(MAN1_TXT) $(MAN7_TXT)) cg-ref.pdf introduction.pdf

prefix=$(HOME)
bin=$(prefix)/bin
mandir=$(prefix)/man
man1=$(mandir)/man1
man7=$(mandir)/man7
docdir=$(prefix)/share/doc/$(PACKAGE)
txtdir=$(docdir)/txt
htmldir=$(docdir)/html

INSTALL=install

#
# Please note that there is a minor bug in asciidoc.
# The version after 6.0.3 _will_ include the patch found here:
#   http://marc.theaimsgroup.com/?l=git&m=111558757202243&w=2
#
# Until that version is released you may have to apply the patch
# yourself - yes, all 6 characters of it!
#

all: html man txt

html: $(DOC_HTML)

man: man1 man7
man1: $(DOC_MAN1)
man7: $(DOC_MAN7)

pdf: $(DOC_PDF)

txt: txt1 txt7
txt1: $(MAN1_TXT)
txt7: $(MAN7_TXT)


install: man txt
	$(INSTALL) -m755 -d $(DESTDIR)/$(txtdir)
	$(INSTALL) $(MAN1_TXT) $(MAN7_TXT) $(DESTDIR)/$(txtdir)
	$(INSTALL) -m755 -d $(DESTDIR)/$(man1) $(DESTDIR)/$(man7)
	$(INSTALL) $(DOC_MAN1) $(DESTDIR)/$(man1)
	$(INSTALL) $(DOC_MAN7) $(DESTDIR)/$(man7)

install-html: html
	$(INSTALL) -m755 -d $(DESTDIR)/$(htmldir)
	$(INSTALL) $(DOC_HTML) $(DESTDIR)/$(htmldir)

test:
	$(MAKE) -C tutorial-script test

clean:
	$(MAKE) -C tutorial-script clean
	rm -f *.xml *.html *.pdf *.1 *.7 cg*.[17].txt $(PACKAGE).7.txt

.PRECIOUS: cg%.txt introduction.txt

%.1.html : %.1.txt
	asciidoc -b xhtml11 -d manpage -f asciidoc.conf $<

%.7.html : %.7.txt
	asciidoc -b xhtml11 -d manpage -f asciidoc.conf $<

%.html : %.txt
	asciidoc -b xhtml11 -d article -f asciidoc.conf -o $@ $<

%.1.xml : %.1.txt
	asciidoc -b docbook -d manpage -f asciidoc.conf $<

%.7.xml : %.7.txt
	asciidoc -b docbook -d manpage -f asciidoc.conf $<

%.xml : %.txt
	asciidoc -b docbook -d article -f asciidoc.conf $<

%.1 : %.1.xml
	xmlto man $<

%.7 : %.7.xml
	xmlto man $<

%.pdf : %.xml
	docbook2pdf $<

$(PACKAGE).7.txt : make-$(PACKAGE)-asciidoc
	./make-$(PACKAGE)-asciidoc > $@

cg-ref.7.txt : cg-ref.txt make-cg-ref-asciidoc
	CGPACKAGE=$(PACKAGE) ./make-cg-ref-asciidoc $< > $@

# It seems that cg%.txt won't match this so use an explicit rule
cg.1.txt : ../cg make-cg-asciidoc
	CGPACKAGE=$(PACKAGE) ./make-cg-asciidoc $< > $@

cg-%.1.txt : ../cg-% make-cg-asciidoc
	CGPACKAGE=$(PACKAGE) ./make-cg-asciidoc $< > $@

introduction.txt: ../README
	sed -e 's/\([a-zA-Z0-9_-]*\)(\([0-9]\))/gitlink:\1[\2]/g' $< >$@

=== t/Makefile ===
# Run tests
#
# Copyright (c) 2005 Junio C Hamano
#

#GIT_TEST_OPTS=--verbose --debug

T = $(wildcard t[0-9][0-9][0-9][0-9]-*.sh)

all:
	@$(foreach t,$T,echo "*** $t ***"; bash $t $(GIT_TEST_OPTS) || exit; )
	@rm -fr trash

clean:
	rm -fr trash

=== Documentation/tutorial-script/Makefile ===
test:
	./script.sh

clean:
	rm -rf Playground

=== debian/changelog ===
cogito (0.15-1) stable; urgency=low

  * New Version
  * Now depends on git-core-0.99.7
  * cg-pull is now called cg-fetch
  * cg-update will become cg-pull in a future release
  * the *-id scriptlets renamed to cg-*-id
  * cg-init respects the ignore rules
  * cg-add now support directories (-r)

 -- Martin Atukunda <matlads@dsmagic.com>  Mon, 19 Sep 2005 10:01:40 +0300

cogito (0.13-1) stable; urgency=low

  * New version.
  * Cleaned up Debian files.
  * Conflict with cgvg instead of not installing cg.
  * Pass prefix=/usr to "make install".

 -- Matthias Urlichs <smurf@debian.org>  Thu, 11 Aug 2005 12:17:32 +0200

cogito (0.12.1-1) stable; urgency=low

  * new version 0.12.1 (needed in order check out Linus' git trees).

 -- Holger Eitzenberger <holger@my-eitzenberger.de>  Mon, 01 Aug 2005 20:00:00 -0200

=== debian/control ===
Source: cogito
Section: devel
Priority: optional
Maintainer: Holger Eitzenberger <holger@my-eitzenberger.de>
Build-Depends: debhelper (>= 4.0.0), dpatch, asciidoc, xmlto
Standards-Version: 3.6.1

Package: cogito
Architecture: all
Depends: git-core (>= 1.4.2), patch, diff, perl
Recommends: rsync, curl, rsh-client
Conflicts: cgvg
Description: A version control system layered on top of git
 A version control system layered on top of the git tree history
 storage system. It aims at seamless user interface and ease of use,
 providing generally smoother user experience than the "raw" Core GIT
 itself and indeed many other version control systems.
